#pragma once // whatever?

#ifndef SHELF_H
#define SHELF_H

#include <utility>


/* <advri>: New class representing a continental shelf, a kind of CvArea (but I don't
   want to inherit from that class). Used for spawning barbarian sea units. */
class Shelf {

public:

	void add(CvPlot* plot);
	CvPlot* randomPlot(int restrictionFlags, int unitDistance);
	int nPlots();
	int nUnownedPlots();
	int nBarbarians();


private:

	std::vector<CvPlot*> plots;

	// just to avoid nested pairs in map types
public:
	class Id : public std::pair<int,int> {
	public:
		Id(int landId, int waterId);
	};

};

// </advri>

#endif
